<?php 
if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * 
 * @author Azar
 * @Created Date: 25 May 2013
 * @Description: It is used to fetch the Admin users Data from the database
 * 
 */

class gallery_model extends CI_Model {
        function __construct(){             
            parent::__construct();
        }
		public function getAllGallerycount($prog_type='',$limit=""){
			$this->db->select("maatv_gallery.*");
			$this->db->from("maatv_gallery");
			$this->db->join('maatv_gallery_category', 'maatv_gallery_category.category_id = maatv_gallery.gallery_category_id');
			$this->db->where("maatv_gallery.gallery_status",'ACTIVE');
			$this->db->where("maatv_gallery_category.category_status",'ACTIVE');
			$this->db->where("maatv_gallery_category.category_name",$prog_type);			
			$this->db->order_by("maatv_gallery.gallery_id", "desc");
			if($limit!="")
				$this->db->limit($limit);
			$query = $this->db->get();			
			if ( $query->result()) {
			return $query->num_rows();
			} else {
				return false;
			}
		}
		public function getAllGallery($prog_type='',$limit=""){
			$this->db->select("maatv_gallery.*,maatv_gallery_category.category_name");
			$this->db->from("maatv_gallery");
			$this->db->join('maatv_gallery_category', 'maatv_gallery_category.category_id = maatv_gallery.gallery_category_id');
			$this->db->where("maatv_gallery.gallery_status",'ACTIVE');
			$this->db->where("maatv_gallery_category.category_status",'ACTIVE');
			$this->db->where("maatv_gallery_category.category_name",$prog_type);			
			$this->db->order_by("maatv_gallery.gallery_id", "desc");
			if($limit!="")
				$this->db->limit(5,$limit*5);
				
			$query = $this->db->get();			
			if ( $query->result()) {
			return $query->result();
			} else {
				return false;
			}
		}
		public function getAllGallerycat($prog_type='',$limit=""){
			$this->db->select("maatv_gallery.*,maatv_gallery_category.category_name");
			$this->db->from("maatv_gallery");
			$this->db->join('maatv_gallery_category', 'maatv_gallery_category.category_id = maatv_gallery.gallery_category_id');
			$this->db->where("maatv_gallery.gallery_status",'ACTIVE');
			$this->db->where("maatv_gallery_category.category_status",'ACTIVE');
			if($prog_type!='')
			$this->db->where("REPLACE(LOWER( maatv_gallery_category.category_name ), ' ', '-')=",$prog_type);			
			$this->db->order_by("maatv_gallery.gallery_id", "desc");
			if($limit!="")
				$this->db->limit($limit);
			/*$query='select maatv_gallery.*,maatv_gallery_category.category_name from maatv_gallery join maatv_gallery_category on maatv_gallery_category.category_id = maatv_gallery.gallery_category_id where maatv_gallery.gallery_status="ACTIVE" and maatv_gallery_category.category_status="ACTIVE" and  REPLACE(LOWER( "maatv_gallery_category.category_name" )," ", "-")="'.$prog_type.'" oeder by maatv_gallery.gallery_order ASC ';
			if($limit!="")
				$query.='limit '. $limit*5 .', 5';
			echo $query;*/
			//print_r($this->db->get());	
			$query = $this->db->get();			
			//$query=$this->db->query($query);
			if ( $query->result()) {
			return $query->result();
			} else {
				return false;
			}
		}
		public function getprogramdetails($seName){
			/*$this->db->select("prog_youtube_url");
			$this->db->from("maatv_programs");
			$this->db->where("prog_status",'ACTIVE');
			$this->db->where( REPLACE(LOWER( "prog_title" ), ' ', '-'),$seName);*/
			//echo 'SELECT * FROM maatv_programs WHERE REPLACE( LOWER( prog_title ) , " ", "-" ) = "'.$seName.'"';
			$query=$this->db->query('SELECT prog_youtube_url FROM maatv_programs WHERE REPLACE( LOWER( prog_title ) , " ", "-" ) = "'.$seName.'"');
			if ( $query->result()) {
			return $query->row();;
			} else {
				return false;
			}
		}
		
		public function getFullGallery($galleryname,$gallerycatId){
			$query='SELECT * FROM maatv_gallery WHERE gallery_status="ACTIVE" and';
			if($gallerycatId!="")
				$query.=" gallery_category_id=$gallerycatId and ";
			$lower='LOWER( gallery_title )';
			$replace=' REPLACE('.$lower.',"\'" , "")';
			$replace=' REPLACE('.$replace.',"\"" , "")';
			$replace=' REPLACE('.$replace.'," " , "-")';
			$replace=' REPLACE('.$replace.',"%" , "")';	
			$replace=' REPLACE('.$replace.',"&" , "and")';
			$replace=' REPLACE('.$replace.',"?" , "")';	
			$replace=' REPLACE('.$replace.',"#" , "")';	
			$query.=	$replace.="='$galleryname'";
			//echo $query;
			$query=$this->db->query($query);
			if ( $query->result()) {
			return $query->result();
			} else {
				return false;
			}
		}
		public function getAllgalleryByCat(){			
			$this->db->select("maatv_gallery.*,maatv_gallery_category.category_name");
			$this->db->from("maatv_gallery");
			$this->db->join('maatv_gallery_category', 'maatv_gallery_category.category_id = maatv_gallery.gallery_category_id');
			$this->db->where("maatv_gallery.gallery_status",'ACTIVE');
			$this->db->where("maatv_gallery_category.category_status",'ACTIVE');
			$this->db->group_by("maatv_gallery.gallery_category_id"); 
			$this->db->order_by("maatv_gallery_category.category_order", "asc");
			$this->db->order_by("maatv_gallery.modified_date", "desc");
			$query = $this->db->get();			
			//print_r($this->db->last_query());
			if ( $query->result()) {
			return $query->result();
			} else {
				return false;
			}
		}
		public function getAllgalleryByCatcount(){	
				
			/*$join = 'inner';
			$this->db->select("category_name,gallery_title,gallery_images,count(gallery_id) as count");
			$this->db->from("maatv_gallery_category");
			$this->db->join('maatv_gallery', 'maatv_gallery_category.category_id = maatv_gallery.gallery_category_id',$join );
			$this->db->where("maatv_gallery.gallery_status",'ACTIVE');
			$this->db->where("maatv_gallery_category.category_status",'ACTIVE');
			$this->db->group_by("category_id"); 
			$this->db->order_by("maatv_gallery_category.category_order", "asc");
			$this->db->order_by("maatv_gallery.gallery_id", "desc");*/
			
			$query = $this->db->query("select category_name,gallery_title,gallery_images,count(maatv_gallery.gallery_id) as count 
					from maatv_gallery_category inner join (select * from maatv_gallery order by gallery_id desc) as maatv_gallery
					on maatv_gallery_category.category_id = maatv_gallery.gallery_category_id
					where maatv_gallery.gallery_status = 'ACTIVE' AND maatv_gallery_category.category_status='ACTIVE'
					group by category_id order by maatv_gallery_category.category_order desc, maatv_gallery.gallery_id desc
					");
			//$query = $this->db->get();			
			if ( $query->result()) {
			return $query->result();
			} else {
				return false;
			}
		}
		public function getTopgalleryByCat(){
			$this->db->select("maatv_gallery.*,maatv_gallery_category.category_name");
			$this->db->from("maatv_gallery");
			$this->db->join('maatv_gallery_category', 'maatv_gallery_category.category_id = maatv_gallery.gallery_category_id');
			$this->db->where("maatv_gallery.gallery_status",'ACTIVE');
			$this->db->where("maatv_gallery_category.category_status",'ACTIVE');
			$this->db->order_by("maatv_gallery.modified_date", "desc"); 
			$this->db->limit(3);
			$query = $this->db->get();			
			if ( $query->result()) {
			return $query->result();
			} else {
				return false;
			}
		}
		public function getGallerycatId($prog_type=''){
			$this->db->select("category_id");
			$this->db->from('maatv_gallery_category');
			$this->db->where("maatv_gallery_category.category_status",'ACTIVE');
			if($prog_type!='')
			$this->db->where("REPLACE(LOWER( maatv_gallery_category.category_name ), ' ', '-')=",$prog_type);			
			$query = $this->db->get();			
			if ( $query->result()) {
			return $query->result();
			} else {
				return false;
			}
		}
		public function getgalimag($gallerycat='',$gallerytitle=""){
			$query="select maatv_gallery.gallery_images from maatv_gallery left join maatv_gallery_category on maatv_gallery_category.category_id = maatv_gallery.gallery_category_id";
			$query.=" where maatv_gallery.gallery_status='ACTIVE'";
			$query.="and maatv_gallery_category.category_status='ACTIVE'";
			if($gallerycat!=''){
				$query.=" and REPLACE(LOWER( maatv_gallery_category.category_name ), ' ', '-')='".$gallerycat."'";
			}
			if($gallerytitle!=""){
				$query.=" and ";
				$lower='LOWER( gallery_title )';
				$replace=' REPLACE('.$lower.',"\'" , "")';
				$replace=' REPLACE('.$replace.',"\"" , "")';
				$replace=' REPLACE('.$replace.'," " , "-")';
				$replace=' REPLACE('.$replace.',"%" , "")';	
				$replace=' REPLACE('.$replace.',"&" , "and")';
				$replace=' REPLACE('.$replace.',"?" , "")';	
				$replace=' REPLACE('.$replace.',"#" , "")';	
				$query.=	$replace.="='$gallerytitle'";
			}
			$query=$this->db->query($query);			
			if ( $query->result()) {
			return $query->result();
			} else {
				return false;
			}
		}
		
	
}

