<?php 
if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * 
 * @author Azar
 * @Created Date: 25 May 2013
 * @Description: It is used to fetch the Admin users Data from the database
 * 
 */

class admin_role_model extends CI_Model {

    function __construct(){
           parent::__construct();
    }

 	function saveData($arr)
	{
		$this->db->select("*");
		$this->db->from("roles");
		$this->db->where("role_name", $arr['role_name']);
		$query = $this->db->get();
		
		if($query->num_rows() == 0) {
			$data = $arr;
			$this->db->insert('roles', $data); 
			return true;
		} else {
			return false;
		}
	}
	
	public function rolelist() {
		$this->datatables->select('role_id,role_name,role_details,role_status,created_date')
			->unset_column('role_id')
			->from('maatv_roles') 
			->where("role_status != 'DELETE'")
			->where("role_id != 1"); 
        
        $values = json_decode($this->datatables->generate());
       
        foreach($values->aaData as $key=>$val) {
			$temp = $val;
			$temp->created_date = date("d M,Y H:i", strtotime($temp->created_date));
			$values->aaData[$key] = $temp;
		}
		
		return json_encode($values);
	}
	
	public function editRole($role_id) {		
		$this->db->select("*");
		$this->db->from("roles");
		$this->db->where("role_status != 'DELETE'");
		$this->db->where('role_id',$role_id);
		$query = $this->db->get();

		if($query->num_rows() > 0) {
			return $query->result();
		}else{
			return false;
		}
	}
	
	public function roleUpdate($arr) {
		 
		$this->db->select("*");
		$this->db->from("roles");
		$this->db->where("role_name ='".$arr['role_name']."'");
		$this->db->where("role_id != ".$arr['role_id']);
		$query = $this->db->get();

		if ($query->num_rows() >= 1) {
			return false;
		} else {
			$this->db->where('role_id',$arr['role_id']);
			$this->db->update("roles",$arr );
			return true;
		}
	}
	
	public function activeRole($id) {		 
	
		$arr = array();
		$brr['admin_status'] = 'ACTIVE';
		$this->db->where_in("role_id", $id);
		$this->db->update("users",$brr);
		$arr['role_status'] = 'ACTIVE';
		$this->db->where_in("role_id", $id);
		$this->db->update("roles",$arr);
		return true;
	    
	}
	public function inactiveRole($id) {		 
	
 		$arr = array();
		$brr['admin_status'] = 'INACTIVE';
		$this->db->where_in("role_id", $id);
		$this->db->update("users",$brr);
		$arr['role_status'] = 'INACTIVE';
		$this->db->where_in("role_id", $id);
		$this->db->update("roles",$arr);
		return true;
	    
	}
	public function deleteRole($id) {		 
	
		$arr = array(); 
		
		$arr['admin_status'] = 'INACTIVE';
		$this->db->where_in("role_id", $id);
		$this->db->update("users",$arr);
		
		$this->db->where_in("role_id", $id);
		$this->db->delete("roles");
		return true;
	}

  
    }
?>
