<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Welcome extends CI_Controller {
		public function __construct()
    	{
			parent::__construct();
			$this->load->model('home_model');	
			 
    	}

	public function index()
	{
		
		 $data = array();
		 $data['page'] = 'home';
		 $data['body'] = $this->load->view("welcome_message", $data, true);  
		 $this->load->view("theme/layout",$data); 
	}
	 public function aboutus()
	{
		 
		 $data = array();
		 $data['page'] = 'aboutus';
		 $data['body'] = $this->load->view("aboutus", $data, true);  
		 $this->load->view("theme/layout",$data); 
	}
	 
	 public function services()
	{
		 
		 $data = array();
		 $data['page'] = 'services';
		 $data['body'] = $this->load->view("services", $data, true);  
		 $this->load->view("theme/layout",$data); 
	}
	 public function careers()
	{
		 
		 $data = array();
		 $data['page'] = 'careers';
		 $data['body'] = $this->load->view("careers", $data, true);  
		 $this->load->view("theme/layout",$data); 
	}
	 public function contactus()
	{
		 
		 $data = array();
		 $data['page'] = 'contactus';
		 $data['body'] = $this->load->view("contactus", $data, true);  
		 $this->load->view("theme/layout",$data); 
	}
	  
  public function renovation()
	{
		 
		 $data = array();
		 $data['page'] = 'renovation';
		 $data['body'] = $this->load->view("renovation", $data, true);  
		 $this->load->view("theme/layout",$data); 
	}
	 
	 public function installation()
	{
		 
		 $data = array();
		 $data['page'] = 'installation';
		 $data['body'] = $this->load->view("installation", $data, true);  
		 $this->load->view("theme/layout",$data); 
	}
	 public function freightmanagement()
	{
		 
		 $data = array();
		 $data['page'] = 'freightmanagement';
		 $data['body'] = $this->load->view("freightmanagement", $data, true);  
		 $this->load->view("theme/layout",$data); 
	}
	 public function Warehousing()
	{
		 
		 $data = array();
		 $data['page'] = 'Warehousing';
		 $data['body'] = $this->load->view("Warehousing", $data, true);  
		 $this->load->view("theme/layout",$data); 
	}
	public function login()
	{
		   $status = $this->home_model->checklogin($_POST['username'],$_POST['password']);
		   $resp = array();
		   if($status)
		   {
			    // set user in session
			    $sessdata = array();
			    $sessdata['user_id'] = $status[0]->admin_id;
			    $sessdata['user_email'] = $status[0]->admin_email;
			    $sessdata['username'] = $status[0]->admin_displayname;
			    $this->session->set_userdata('usersession',$sessdata);
			    
			    $resp['username'] =$status[0]->admin_displayname;
			    $resp['loginstatus'] = true;
		   }else
		   {
			    $resp['loginstatus'] = false;
		   }
		   echo  json_encode($resp);
	}
	public function logout()
	{
		   $this->session->set_userdata('usersession','');
		   
	}
	public function images()
	{ 
		
		 $data = array();
		 $user = $this->session->userdata('usersession'); 
		  if(!isset($user['user_id']))
		    {
				 echo "permissions denied...!!!";
				 exit;
			}
		 $data['page'] = 'images'; 
		 $data['images'] = $this->home_model->getimages($user['user_id']);
		 
		 $tempdata = array();
		 if($data['images'])
		  {
			   foreach($data['images'] as $k=>$v){
			      $data[$v->file_type][$k] = $v;
			    }
		  }
		  
		 $data['body'] = $this->load->view("images", $data, true);  
		 $this->load->view("theme/layout",$data);
	}
 
}
