<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="">
	<link rel="shortcut icon" href="images/favicon.png">

	<title>admin</title>
	<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,400italic,700,800' rel='stylesheet' type='text/css'>
	<link href='http://fonts.googleapis.com/css?family=Raleway:300,200,100' rel='stylesheet' type='text/css'>

	<!-- Bootstrap core CSS -->
	<link href="<?php echo base_url('assets/admin/js/bootstrap/dist/css/bootstrap.css')?>" rel="stylesheet">

	<link rel="stylesheet" href="<?php echo base_url('assets/admin/fonts/font-awesome-4/css/font-awesome.min.css')?>">

	<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
	  <script src="../../assets/js/html5shiv.js"></script>
	  <script src="../../assets/js/respond.min.js"></script>
	<![endif]-->

	<!-- Custom styles for this template -->
	<link href="<?php echo base_url('assets/admin/css/style.css')?>" rel="stylesheet" />	

</head>

<body class="texture">

<div id="cl-wrapper" class="login-container">

	<div class="middle-login">
		<div class="block-flat">
			<div class="header">							
				<h3 class="text-center"><img class="logo-img" src="<?php echo base_url('assets/admin/images/fflogo.png')?>" alt="logo"/>Login</h3>
			</div>
			<div>
				<?php if(validation_errors() or isset($error)){ ?>
				<div class="alert alert-danger">
								<button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button>
								<i class="fa fa-times-circle sign"></i><strong>Error!</strong>
								<?php echo validation_errors(); ?>
								<?php if(isset($error)) echo $error; ?>
			    </div>
				<?php } ?>
				<form class="Bottom_mrg" method="post" class="form-horizontal" action="<?php echo base_url('admin/login')?>" id="loginform"   role="form" parsley-validate novalidate>
					<div class="content">
						<h4 class="title">Login Access</h4>
							<div class="form-group">
								<div class="col-sm-12">
									<div class="input-group">
										<span class="input-group-addon"><i class="fa fa-user"></i></span>
										<input type="email" required parsley-type="email" class="form-control" id="email" name="email" placeholder="Email" value="<?php if(isset($email)) { echo $email; } ?>">
									</div>
								</div>
							</div>
							<div class="form-group">
								<div class="col-sm-12">
									<div class="input-group">
										<span class="input-group-addon"><i class="fa fa-lock"></i></span>
										<input type="password" required class="form-control" id="password" name="password" placeholder="Password"  >
									</div>
								</div>
							</div>
							
					</div>
					<div class="foot">
						 
						<button class="btn btn-primary" data-dismiss="modal" type="submit">Log me in</button>
					</div>
				</form>
			</div>
		</div>
		<div class="text-center out-links"><a href="#">&copy; 2014 Southern</a></div>
	</div> 
	
</div>

<script src="<?php echo base_url('assets/admin/js/jquery.js')?>"></script>
<script src="<?php echo base_url('assets/admin/js/jquery.parsley/parsley.js')?>"></script>

<!-- Bootstrap core JavaScript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
<script src="<?php echo base_url('assets/admin/js/bootstrap/dist/js/bootstrap.min.js')?>"></script> 
<!--<script type="text/javascript" src="js/jquery.flot/jquery.flot.js"></script>
<script type="text/javascript" src="js/jquery.flot/jquery.flot.pie.js"></script>
<script type="text/javascript" src="js/jquery.flot/jquery.flot.resize.js"></script>
<script type="text/javascript" src="js/jquery.flot/jquery.flot.labels.js"></script>-->
</body>
</html>
