 var oTable = '';
 
		 
		$(function() {
		$( "#highlights_startdate" ).datepicker({
			dateFormat :'dd/mm/yy',
			setDate : new Date(), 
			 minDate: 0,
			changeMonth: true,
			numberOfMonths: 1,
			onClose: function( selectedDate ) {
			$( "#highlights_enddate" ).datepicker( "option", "minDate", selectedDate );
			}
		});
		$( "#highlights_enddate" ).datepicker({
			 dateFormat :'dd/mm/yy', 
			changeMonth: true,
			numberOfMonths: 1,
			onClose: function( selectedDate ) {
			$( "#highlights_startdate" ).datepicker( "option", "maxDate", selectedDate );
			}
			});
		});
		 
      $(document).ready(function(){
		 
			 
     
		    
         oTable =  jQuery('#datatable').dataTable( { 
		"aaSorting":[[3,'desc']],
        "aoColumnDefs": [
                         { "bSearchable": false, "aTargets": [ 1,2,3,4 ] },
                         { "bSortable": false, "aTargets": [ 3 ] }
                       ] ,
		'iShowPages': 5,
        'sPaginationType': 'full_numbers',
        "bProcessing": false,
        "bServerSide": true,
        "sAjaxSource": base_url+"admin/highlightnews/hnewslist",
        "fnServerParams": function (aoData) {
            
         },
         "fnServerData": function ( sSource, aoData, fnCallback, oSettings ) {
        	 //oSettings.jqXHR.abort();
        	 ajaxdata = aoData;
             oSettings.jqXHR = $.ajax( {
               "dataType": 'json',
               "type": "POST",
               "url": sSource,
               "data": aoData,
               'beforeSend':function()
       			{
       				$('#loader').show(); 
       			},
               "success": function(data){
                   fnCallback(data);
                   $('#loader').hide();
                   
                }
             });
         },
          "aoColumns": [
                              { "mData": "highlights_title", "mRender":function(data, type, full){ return data }},
                              { "mData": "highlights_startdate", "mRender":function(data, type, full){ return data }},
                              { "mData": "highlights_enddate", "mRender":function(data, type, full){ return "<span class='rstatus'>"+data+"</span>" }},
                              { "mData": "highlights_status", "mRender":function(data, type, full){ return "<span class='rstatus'>"+data.toLowerCase()+"</span>" }},
                              { "mData": "created_date", "mRender":function(data, type, full){
 								   var str =  '<lable>'+data+'</lable>\
												<span class="actionicons hide right">\
													<a title="Edit" href="'+base_url+'admin/highlightnews/edit/'+full.highlights_id+'" class="label label-default redit">\
														<i class="fa fa-pencil"></i>\
													</a>\
													<a title="Active" href="javascript:void(0);" onclick="active(\''+base_url+'admin/highlightnews/active\','+full.highlights_id+')" class="ractive label label-success">\
														<i class="fa fa-unlock"></i>\
													</a>\
													<a title="Inactive" href="javascript:void(0);" onclick="inactive(\''+base_url+'admin/highlightnews/inactive\','+full.highlights_id+')" class="rinactive label label-warning">\
														<i class="fa fa-lock"></i>\
													</a>\
													<a title="Delete" href="javascript:void(0);" onclick="deleter(\''+base_url+'admin/highlightnews/delete\','+full.highlights_id+')" class="rdelete label label-danger">\
														<i class="fa fa-times"></i>\
													</a>\
												</span>'; 
								    return str;
							   }},
						],
			"fnRowCallback":function( nRow, aData, iDisplayIndex ){
				jQuery(nRow).addClass("t"+aData.highlights_status.toLowerCase());
				jQuery(nRow).attr("id", "t_"+aData.highlights_id);
			},
	} );
 
      });
      
 //active single record
 function active(url,v)
 {
	// we can not edit the super user details
	if(v==1)
	return false;
	var rec = $('#t_'+v+' td:eq(0)').text();
	$('.alert-title').text('Active');
	$('.alert-text').text('Are you sure you want to active "'+rec+'"');
	$('#myModal').modal('show');
    $('.savemodal').unbind('click');
	$('.savemodal').click(function() {
		   $('#myModal').modal('hide');
		   $.ajax({
					url: url,
					data:'id='+v,
					type:'post',
					beforeSend: function( xhr ) {
					//xhr.overrideMimeType( "text/plain; charset=x-user-defined" );
					$('#loader').show();
					}
					})
					.done(function( data ) {
					  if(data =='activated')
					  {  
						   redraw();
						   $('#loader').hide();
						   
				      } 
	                });
		 });
        
     return false; 
}
  //active single record
  function inactive(url,v)
 {
	// we can not edit the super user details
	if(v==1)
	return false;
     var rec = $('#t_'+v+' td:eq(0)').text();
	$('.alert-title').text('Inactive');
	$('.alert-text').text('Are you sure you want to inactive "'+rec+'"');
    $('#myModal').modal('show');
    $('.savemodal').unbind('click');
	$('.savemodal').click(function() {
		  $('#myModal').modal('hide');
		  $.ajax({
					url: url,
					data:'id='+v,
					type:'post',
					beforeSend: function( xhr ) { 
					    $('#loader').show();
					}
					})
					.done(function( data ) {
					  if(data =='inactivated')
					  {   
						   redraw();
						   $('#loader').hide();
						  
				      } 
	                });
		 });
	 return false;
 }
    //active single record
 function deleter(url,v)
 {
   // we can not edit the super user details
	if(v==1)
	return false;
	var rec = $('#t_'+v+' td:eq(0)').text();
	$('.alert-title').text('Delete');
	$('.alert-text').text('Are you sure you want to delete "'+rec+'"'); 
    $('#myModal').modal('show');
    $('.savemodal').unbind('click');
	$('.savemodal').click(function() {
		  $('#myModal').modal('hide');
		   $.ajax({
					url: url,
					data:'id='+v,
					type:'post',
					beforeSend: function( xhr ) { 
					    $('#loader').show();
					}
					})
					.done(function( data ) {
					  if(data =='deleted')
					  {     
						   redraw();
						   $('#loader').hide();
						   
				      } 
	                });
		 });  
	 return false;
 }
