var oTable = '';
$(document).ready(function(){
    var cat_id = $("#trailer_type").val();
    oTable =  jQuery('#datatable').dataTable( {
        "aaSorting":[[3,'desc']],
        "aoColumnDefs": [
            { "bSearchable": false, "aTargets": [ 2,3 ] },
            { "bSortable": false, "aTargets": [ 2 ] }
        ] ,
        'iShowPages': 5,
        'sPaginationType': 'full_numbers',
        "bProcessing": false,
        "bServerSide": true,
        "sAjaxSource": base_url+"admin/trailers/trailerslist/"+cat_id ,
        "fnServerParams": function (aoData) {
            //aoData.push( { "name":"pid", "value":''} );
        },
        "fnServerData": function ( sSource, aoData, fnCallback, oSettings ) {
            //oSettings.jqXHR.abort();
            ajaxdata = aoData;
            oSettings.jqXHR = $.ajax( {
                "dataType": 'json',
                "type": "POST",
                "url": sSource,
                "data": aoData,
                'beforeSend':function()
                {
                    $('#loader').show();
                },
                "success": function(data){
                    fnCallback(data);
                    $('#loader').hide();

                }
            });
        },
        "aoColumns": [
            { "mData": "trailers_title", "mRender":function(data, type, full){ return data }},
            { "mData": "trailers_url", "mRender":function(data, type, full){ return data }},
            { "mData": "trailers_status", "mRender":function(data, type, full){ return "<span class='rstatus'>"+data.toLowerCase()+"</span>" }},
            { "mData": null, "sClass": "fb_view", "mRender":function(data, type, full){
							     var fb_display = 'fb_show';
							    if(full.trailers_status == 'INACTIVE')
							      fb_display = 'fb_hide';
							    var fblink = '<a  class="'+fb_display+'" href="'+base_url+'admin/trailers/postOnFbWall/'+full.trailers_id+'">\
								                            <div class="btn-group">\
															<button class="btn btn-sm btn-default btn-facebook bg" type="button"><i class="fa fa-facebook"></i></button>\
															<button class="btn btn-sm btn-default" type="button">publish</button></div></a>';
													   
							   var str =  '<lable>'+fblink+'</lable>'; 
							   return str;
						    }},
            { "mData": "created_date", "mRender":function(data, type, full){
                var str =  '<lable>'+data+'</lable>\
												<span class="actionicons hide right">\
													<a title="Edit" href="'+base_url+'admin/trailers/edit/'+ cat_id +'/'+full.trailers_id+'" class="label label-default redit">\
														<i class="fa fa-pencil"></i>\
													</a>\
													<a title="Active" href="javascript:void(0);" onclick="active(\''+base_url+'admin/trailers/active\','+full.trailers_id+')" class="ractive label label-success">\
														<i class="fa fa-unlock"></i>\
													</a>\
													<a title="Inactive" href="javascript:void(0);" onclick="inactive(\''+base_url+'admin/trailers/inactive\','+full.trailers_id+')" class="rinactive label label-warning">\
														<i class="fa fa-lock"></i>\
													</a>\
													<a title="Delete" href="javascript:void(0);" onclick="deleter(\''+base_url+'admin/trailers/delete\','+full.trailers_id+')" class="rdelete label label-danger">\
														<i class="fa fa-times"></i>\
													</a>\
												</span>';
                return str;
            }},
        ],
        "fnRowCallback":function( nRow, aData, iDisplayIndex ){
            jQuery(nRow).addClass("t"+aData.trailers_status.toLowerCase());
            jQuery(nRow).attr("id", "t_"+aData.trailers_id);
        },
    } );

});

//active single record
function active(url,v)
{

    var rec = $('#t_'+v+' td:eq(0)').text();
    $('.alert-title').text('Active');
    $('.alert-text').text('Are you sure you want to active "'+rec+'"');
    $('#myModal').modal('show');
    $('.savemodal').unbind('click');
    $('.savemodal').click(function() {
        $('#myModal').modal('hide');
        $.ajax({
            url: url,
            data:'id='+v,
            type:'post',
            beforeSend: function( xhr ) {
                //xhr.overrideMimeType( "text/plain; charset=x-user-defined" );
                $('#loader').show();
            }
        })
            .done(function( data ) {
                if(data =='activated')
                {
                    redraw();
                    $('#loader').hide();

                }
            });
    });

    return false;
}
//active single record
function inactive(url,v)
{

    var rec = $('#t_'+v+' td:eq(0)').text();
    $('.alert-title').text('Inactive');
    $('.alert-text').text('Are you sure you want to inactive "'+rec+'"');
    $('#myModal').modal('show');
    $('.savemodal').unbind('click');
    $('.savemodal').click(function() {
        $('#myModal').modal('hide');
        $.ajax({
            url: url,
            data:'id='+v,
            type:'post',
            beforeSend: function( xhr ) {
                $('#loader').show();
            }
        })
            .done(function( data ) {
                if(data =='inactivated')
                {
                    redraw();
                    $('#loader').hide();

                }
            });
    });
    return false;
}
//active single record
function deleter(url,v)
{

    var rec = $('#t_'+v+' td:eq(0)').text();
    $('.alert-title').text('Delete');
    $('.alert-text').text('Are you sure you want to delete "'+rec+'"');
    $('#myModal').modal('show');
    $('.savemodal').unbind('click');
    $('.savemodal').click(function() {
        $('#myModal').modal('hide');
        $.ajax({
            url: url,
            data:'id='+v,
            type:'post',
            beforeSend: function( xhr ) {
                $('#loader').show();
            }
        })
            .done(function( data ) {
                if(data =='deleted')
                {
                    redraw();
                    $('#loader').hide();

                }
            });
    });
    return false;
}
