<?php
class adminUsermodel extends CI_Model
{
	function __construct()
	{
		parent::__construct();
	}
	
	/**
	 * Login admin user
	 * @param unknown_type $username
	 * @param unknown_type $password
	 * @return boolean
	 */
	public function saveUserdata($arr)
	{
		$this->db->select("*");
		$this->db->from("users");
		$this->db->where("admin_email",$arr['admin_email']);
		$query = $this->db->get();
		
		if($query->num_rows() == 0){
			$data = $arr;
			$this->db->insert('users', $data); 
			return true;
		}
		else
		{
			return false;
		}	
	}		
	 	
	public function userslist() {
		$temp = $this->session->userdata('admin_user_data');
		$this->datatables->select('admin_id,admin_displayname,admin_email,admin_status,maatv_roles.created_date,maatv_users.created_date as usercreated,role_name')
			 ->unset_column('admin_id')
			 ->from('maatv_users') 			
			 ->join('maatv_roles', 'maatv_users.role_id = maatv_roles.role_id','left')
			 ->where('admin_id != '.$temp->admin_id)
			 ->where('admin_status != "DELETE"');
		
		 $values = json_decode($this->datatables->generate()); 

		foreach($values->aaData as $key=>$val) {
			$temp = $val;
			$temp->usercreated = date("d M,Y H:i", strtotime($temp->usercreated));
			$values->aaData[$key] = $temp;
		}	
		
       	return json_encode($values);
	}
	
	public function useredit($id)
	{		
		$this->db->select("*");
		$this->db->from("users");
		$this->db->where('admin_id',$id);
		$query = $this->db->get();
		if($query->num_rows() > 0)
		{
			return $query->result();
		}else{
			return false;
			
		}
	}	
	
	public function updateUserdata($arr)
	{		 
		$this->db->select("*");
		$this->db->from("users");
		$this->db->where("admin_email ='".$arr['admin_email']."'");
		$this->db->where("admin_id != ".$arr['admin_id']);
		$query = $this->db->get();
		if ($query->num_rows() >= 1)
		{
			return false;
		} 
		else
		{
			$this->db->where('admin_id',$arr['admin_id']);
			$this->db->update("users",$arr);
			return true;
		}
	}		
	
	public function activeUser($id) {		 
	
		$arr = array();
		$arr['admin_status'] = 'ACTIVE';
		$this->db->where_in("admin_id", $id);
		$this->db->update("users",$arr);
		return true;
	    
	}
	public function inactiveUser($id) {		 
	
 		$arr = array();
		$arr['admin_status'] = 'INACTIVE';
		$this->db->where_in("admin_id", $id);
		$this->db->update("users",$arr);
		return true;
	    
	}
	public function deleteUser($id) {		 
	
		$arr = array(); 		
		$this->db->where_in("admin_id", $id);
		$this->db->delete("users");
		return true;
	}
	
	public function getRolesList()
	{				
		$this->db->select("*");
		$this->db->from("roles");
		$this->db->where("role_status",'ACTIVE');
		$query = $this->db->get();
		
		if($query->num_rows() >= 1){							
        return  $query->result();
		}
		else
		{
			return false;
		}	
	}

	
	
}
