<?php 
if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * 
 * @author Azar
 * @Created Date: 25 May 2013
 * @Description: It is used to fetch the Admin users Data from the database
 * 
 */

class admin_page_model extends CI_Model {

    function __construct(){
           parent::__construct();
    }

 	function saveData($arr)
	{
		$this->db->select("*");
		$this->db->from("pages");
		$this->db->where("page_alias", $arr['page_alias']);
		$query = $this->db->get();
		
		if($query->num_rows() == 0) {
			$data = $arr;
			$this->db->insert('pages', $data); 
			return true;
		} else {
			return false;
		}
	}
	
	public function pagelist() {
		$this->datatables->select('page_id,page_alias,page_title,page_description,page_status,page_meta_title,page_meta_keywords,page_meta_description,created_date')
			->unset_column('page_id')
			->from('maatv_pages'); 
        
        $values = json_decode($this->datatables->generate());
       
        foreach($values->aaData as $key=>$val) {
			$temp = $val;
			$temp->created_date = date("d M,Y H:i", strtotime($temp->created_date));
			$values->aaData[$key] = $temp;
		}
		
		return json_encode($values);
	}
	
	public function editPage($page_id) {		
		$this->db->select("*");
		$this->db->from("pages"); 
		$this->db->where('page_id',$page_id);
		$query = $this->db->get();

		if($query->num_rows() > 0) {
			return $query->result();
		}else{
			return false;
		}
	}
	
	public function pageUpdate($arr) {
		 
 
			$this->db->where('page_id',$arr['page_id']);
			$this->db->update("pages",$arr );
			return true;
		 
	}
	
	public function activePage($id) {		 
	
		$arr = array();
		$arr['page_status'] = 'ACTIVE';
		$this->db->where_in("page_id", $id);
		$this->db->update("pages",$arr);
		return true;
	    
	}
	public function inactivePage($id) {		 
	
 		$arr = array();
		$arr['page_status'] = 'INACTIVE';
		$this->db->where_in("page_id", $id);
		$this->db->update("pages",$arr);
		return true;
	    
	}
	public function deletePage($id) {		 
	
		$arr = array(); 
		
		 
		
		$this->db->where_in("page_id", $id);
		$this->db->delete("pages");
		return true;
	}

  
    }
?>
