/**
 *
 * HTML5 Image uploader with Jcrop
 *
 * Licensed under the MIT license.
 * http://www.opensource.org/licenses/mit-license.php
 *
 * Copyright 2012, Script Tutorials
 * http://www.script-tutorials.com/
 */
        var file_nm,bounx,boundy ;
// convert bytes into friendly format
function bytesToSize(bytes) {
    var sizes = ['Bytes', 'KB', 'MB'];
    if (bytes == 0) return 'n/a';
    var i = parseInt(Math.floor(Math.log(bytes) / Math.log(1024)));
    return (bytes / Math.pow(1024, i)).toFixed(1) + ' ' + sizes[i];
};

// check for selected crop region
function checkForm() {
    if (parseInt($('#w').val())) return true;
     $('#file_validation').html('Please select a crop region and then press Upload').show();
    return false;
};

// update info by cropping (onChange and onSelect events handler)
function updateInfo(c,file) {
        $("#c_x").val(c.x);
        $("#c_y").val(c.y);
        $("#c_x2").val(c.x2);
        $("#c_y2").val(c.y2);
        $("#c_w").val(c.w);
        $("#c_h").val(c.h);
       // $("#c_w").val(c.w);
        //$("#c_h").val(c.h);

       var image = document.getElementById('display_news_img');
         var image_crop = new FileReader();
                image_crop.readAsDataURL(file_nm);
                image_crop.onload =function(file_nm){
                    image.src =  this.result;
                   image.width = c.w;
                 image.height = c.h;


                }
                //alert(c.x);
          var rx = 200 / c.w; // 200 - preview box size
    var ry = 200 / c.h;

                 $('#display_news_img').css({
        //width: Math.round(rx * 800) + 'px',
        //height: Math.round(ry * 600) + 'px',
        width: Math.round(c.w) + 'px',
        height: Math.round(c.h) + 'px',
          marginLeft:  '-'+ Math.round( c.x) + 'px',
        marginTop: '-' + Math.round( c.y) + 'px'
//        marginLeft: '-' + Math.round(rx * c.x) + 'px',
  //      marginTop: '-' + Math.round(ry * c.y) + 'px'
    });
               // $('#display_news_img').attr( "style","margin-left:-"+c.x+"px;margin-top:-"+c.y+"px;");
//                $('#display_news_img').css();


}
validateForm = function(){
                var img_src = $("#news_file_dup").val();

                if(img_src==''){
                    $('#news_image').addClass('parsley-error');
                    $str ='<ul id="file_error" class="parsley-error-list">\
			         <li class="required" style="display: list-item;">This value is required.</li></ul>';
                    $('#file_error').remove();
                    $('#news_image').after($str);
                    return false;
                }else{
                    $('#news_image').removeClass('parsley-error');
                    $('#file_error').remove();
                }
                return true;
            };

    stop_jcrop = function()
    {

        $(".jcrop-holder").remove();
        $(".jcrop-tracker").remove();
        //$("#crop_image_div").html("<img src='' id='crop_image' width='auto' height='auto'>");
        $("#crop_image_div").html(' <p><input type="button" id="crop_button" value="Crop" onclick="stop_jcrop();"></p><br/><p><img src=""  id="crop_image" /></p>');
        $( "#crop_image_div" ).dialog( "destroy" );
        $('.display_news_img').show();
    }
// clear info by cropping (onRelease event handler)
function clearInfo() {
    $('.info #w').val('');
    $('.info #h').val('');
};
 /*$(document).ready(function(){
       document.getElementById("news_image").onchange = function(){
                //  $this = $(this);
                 // var selected_file = $('#input').get(0).files[0];
                // alert( selected_file.length);
                                 // alert( selected_file.name);
         }
 });*/
function fileSelectHandler() {
//         alert("form");
    // get selected file
   // var oFile = $('#news_image')[0].files[0];
    //var oFile = $('#news_image')[0].files[0];
    var oFile = $('#news_image')[0].files[0];
        file_nm = oFile;

    // check for image type (jpg and png are allowed)
    var rFilter = /^(image\/jpeg|image\/png|image\/gif)$/i;
    if (! rFilter.test(oFile.type)) {
       $('#file_validation').html('Allowed file types jpg,jpeg,png,gif only')
       $('#news_image').addClass('parsley-error');
      // $('.display_news_img').attr('src', '');
       return false;
    }else{
      $('#file_validation').html('');
      $('#news_image').removeClass('parsley-error');
    }
              var src_img;
    // check for file size
    if (oFile.size > 2*1024 * 1024) {
      //  $('.error').html('You have selected too big file, please select a one smaller image file').show();
        //return;
        $('#file_validation').html('You have selected too big file, please select a one smaller image file')
       $('#news_image').addClass('parsley-error');
       //src_img =  $('.display_news_img').attr('src');
      // $('.display_news_img').attr('src', '');
       return false;
    }  else{
              $('#file_validation').html('');
      $('#news_image').removeClass('parsley-error');
      //$('.display_news_img').attr('src', src_img);

    }
       var   file = oFile;
    // preview element
    var image = document.getElementById('crop_image');

     var image_crop = new FileReader();
                image_crop.readAsDataURL(file);
                image_crop.onload =function(file){
                   // var image = new Image();
                    image.title = file.name;
                    image.src =  this.result;
                    img_height  = image.height;
                    img_width = image.width;
                     $('#news_file_dup').val(this.result);
                    validateForm();
                    //$('#display_new_image').attr('src',image.src);

                          $( "#crop_image_div" ).dialog({minHeight:"600", minWidth:"600", draggable: false,
                        beforeClose: function( event, ui ) {
                            $("#c_x").val("");
                            $("#c_y").val("");
                            $("#c_x2").val("");
                            $("#c_y2").val("");
                            $("#c_w").val("");
                            $("#c_h").val("");
                            stop_jcrop();

                        }});
                     //  $( "#crop_image_div" ).show();
                       //jcrop
                        var jcrop_api, boundx, boundy;

            // destroy Jcrop if it is existed
            if (typeof jcrop_api != 'undefined')
                jcrop_api.destroy();

            // initialize Jcrop
            $('#crop_image').Jcrop({
                //minSize: [32, 32], // min crop size
                setSelect: [ 0, 0, 350, 230 ],
                //  addClass: 'jcrop_custom',
                aspectRatio: 35/23,
               boxWidth:600,
               boxHeight:600,
                allowSelect: true,
                bgFade: true, // use fade effect
                bgOpacity: .3, // fade opacity
                sideHandles: false,
               // onChange: updateInfo,
                onSelect: updateInfo,
//                onRelease: clearInfo
            }, function(){

                // use the Jcrop API to get the real image size
                var bounds = this.getBounds();
                boundx = bounds[0];
                boundy = bounds[1];

                // Store the Jcrop API in the jcrop_api variable
                jcrop_api = this;
            });

                    }
    // prepare HTML5 FileReader
    /*var oReader = new FileReader();
        oReader.onload = function(e) {
          oReader.readAsDataURL(oFile);
        // e.target.result contains the DataURL which we can use as a source of the image
        oImage.src = e.target.result;
        oImage.onload = function () { // onload event handler

            // display step 2
            //$('.crop_image_div').fadeIn(500);
            //$('.crop_image_div').show(500);
            /*  $( "#crop_image_div" ).dialog({height:"auto", width:"auto",model:true,
                        beforeClose: function( event, ui ) {
                            $("#c_x").val("");
                            $("#c_y").val("");
                            $("#c_x2").val("");
                            $("#c_y2").val("");
                            $("#c_w").val("");
                            $("#c_h").val("");
                           // stop_jcrop();

                        }});*/
            // display some basic image info
          /*  var sResultFileSize = bytesToSize(oFile.size);
           // $('#filesize').val(sResultFileSize);
          //  $('#filetype').val(oFile.type);
          //  $('#filedim').val(oImage.naturalWidth + ' x ' + oImage.naturalHeight);

            // Create variables (in this scope) to hold the Jcrop API and image size
            var jcrop_api, boundx, boundy;

            // destroy Jcrop if it is existed
            if (typeof jcrop_api != 'undefined')
                jcrop_api.destroy();

            // initialize Jcrop
            $('#crop_image').Jcrop({
                minSize: [32, 32], // min crop size
                aspectRatio : 1, // keep aspect ratio 1:1
                bgFade: true, // use fade effect
                bgOpacity: .3, // fade opacity
                onChange: updateInfo,
                onSelect: updateInfo,
                onRelease: clearInfo
            }, function(){

                // use the Jcrop API to get the real image size
                var bounds = this.getBounds();
                boundx = bounds[0];
                boundy = bounds[1];

                // Store the Jcrop API in the jcrop_api variable
                jcrop_api = this;
            });
        };
    }; */

    // read selected file as DataURL

}