<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
      
function adminLoginCheck()
{
	$CI =& get_instance();

	$temp = $CI->session->userdata('admin_user_data');
	if(isset($temp->admin_id) && trim($temp->admin_id) != '')
		return true;
	return false;
}

function language_load()
{
	return "english";
	$ci =& get_instance();
	$ci->load->helper('language');
	
	$site_lang = $ci->session->userdata('site_lang');
	if ($site_lang) {
		$ci->lang->load('message',$ci->session->userdata('site_lang'));
	} else {
		$ci->lang->load('message','english');
	}
}
function userdata($rec)
{
	$CI =& get_instance();
	$CI->load->library('session');
	$temp = $CI->session->userdata('admin_user_data'); 
	if(isset($temp->admin_id) && trim($temp->admin_id) != '')
	 if($rec=='admin_id')
	   $ret = $temp->admin_id; 
	return $ret;
		 
}

function messageDisplay(){
	
	$arr = array();
	// set session  success and error msgs - start
	$CI = & get_instance();  
  
	if(trim($CI->session->userdata('success_msg')) && trim($CI->session->userdata('success_msg'))!='')
	{
		$arr['success_msg'] = $CI->session->userdata('success_msg');
		$CI->session->unset_userdata('success_msg');
	}
	if(trim($CI->session->userdata('error_msg')) && trim($CI->session->userdata('error_msg'))!='')
	{
		$arr['error_msg'] = $CI->session->userdata('error_msg');
		$CI->session->unset_userdata('error_msg');
	}
	// set session  success and error msgs - end
	
	return $arr;
}

function getGalleryCategories()
{
	$arr = array();
	$CI = & get_instance();
	$CI->load->database(); 
    $CI->db->select(array('category_id', 'category_name'));
	$CI->db->from('gallery_category');
	$CI->db->where('category_status', 'ACTIVE');
	$query = $CI->db->get();
    return $query->result_array();
}

function getProgramCategories()
{
	$arr = array();
	$CI = & get_instance();
	$CI->load->database(); 
    $CI->db->select(array('program_cat_id', 'category_name'));
	$CI->db->from('program_category');
	$CI->db->where('category_status', 'ACTIVE');
	$query = $CI->db->get();
    return $query->result_array();
}

function check_perm($module, $action) {
	 //c -- Create
	 //r -- Read
	 //u -- update
	 //d -- delete
	 $arr = array(); 
	 $CI = & get_instance();  
     $userdata = $CI->session->userdata('admin_user_data');
     $chk = $userdata->role_permissions;
     // Super admin permissions
     if(!is_array($userdata->role_permissions) && $userdata->role_permissions == 'all')
		return true;
     
     if(isset($chk[$module][$action]) && $chk[$module][$action] != '' )
		return true;
     else
		return false; 
}
function parentMenu()
{  
	$CI = & get_instance();  
	return $CI->router->fetch_module();  
}
function subMenu()
{
	 $CI = & get_instance();
     return  $CI->router->fetch_method();
}
/***
 * Get the Trailer categories
 * @name <get_trailer_categories>
 * @return array
 * @author Rushyendra
 * @since version 1.0
 * @version 1.0
 */
function get_trailer_categories()
{
    $arr = array();
    $CI = & get_instance();
    $CI->load->database();
    $CI->db->select(array('cat_id', 'category_name'));
    $CI->db->from('trailers_category');
    $CI->db->where('category_status', 'ACTIVE');
    $query = $CI->db->get();
    return $query->result_array();
}