<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
if ( ! function_exists('getSerial'))
{
	function getSerial($prog_trpe="",$limit="" ){
		$CI = & get_instance();
		$CI->load->model('programs/program_model');
		$serials = $CI->program_model->getAllPrograms($prog_trpe,$limit);	
		return $serials;
	}
               
}
if ( ! function_exists('getprogramdays')){
	function getprogramdays($pday){
			
			$progdays=explode(',',$pday);			
			if(count($progdays)>=5){
					 return $progdays[0].' - '.end($progdays);        
			}
			else if(count($progdays)>=2){
					 return $progdays[0].' , '.end($progdays);        
			}
			else {
					 return $progdays[0];        
			}

	}
}
if ( ! function_exists('getCookerysbyType')){
	function getCookerysbyType($ctype){			
		$CI = & get_instance();
		$CI->load->model('cookery/cookery_model');
		$serials = $CI->cookery_model->getAllCookerys($ctype,3);		
		return $serials;
	}
}

if ( ! function_exists('getAlltypeGallery')){
	function getAlltypeGallery(){			
		$CI = & get_instance();
		$CI->load->model('gallery/gallery_model');
		$gallerys = $CI->gallery_model->getAllgalleryByCatcount();	
		//print_r($gallerys);	
		return $gallerys;
	}
}
if ( ! function_exists('getTopGallery')){
	function getTopGallery(){			
		$CI = & get_instance();
		$CI->load->model('gallery/gallery_model');
		$gallerys = $CI->gallery_model->getTopgalleryByCat();	
		//print_r($gallerys);	
		return $gallerys;
	}
}
if ( ! function_exists('getLayoutImages')){
	function getLayoutImages(){			
		$CI = & get_instance();
		$CI->load->model('welcome/home_model');
		$gallerys = $CI->home_model->getHomepageAdds('LAYOUT');	
		//print_r($gallerys);	
		return $gallerys;
	}
}

if ( ! function_exists('getAds')){
	function getAds($pos){			
		$CI = & get_instance();
		$CI->load->model('welcome/home_model');
		$ads = $CI->home_model->getAdds($pos);	
		return $ads;
	}
}

if ( ! function_exists('schedule_list')){
	function schedule_list(){			
		  	
		   $CI = & get_instance();
		   $start_date = date('Y-m-d');
		   $last_date = date('Y-m-d',strtotime("+6 days")); 
		   $CI->load->model('schedule/schedule_model');
		   $result_data = $CI->schedule_model->viewSchedules($start_date,$last_date);  
		   $today = date('d');
		   $tomorrow = date('d', strtotime("tomorrow"));
		   $d = '';
		   if(is_array($result_data) && count($result_data)>0)
		   foreach($result_data as $k=>$v)
		   {
			    $dat = date('d-M-Y', strtotime($v->ps_date));
			    $ref = $dat;
			    $chk_date = date('d',strtotime($v->ps_date));
			    $dat_disp = date('d-M', strtotime($v->ps_date));
			    if($today==$chk_date)
				{
				  $dat_disp = 'Today';
				  $ref = 'today';
			    }
			    if($tomorrow==$chk_date)
				{
				   $dat_disp = 'Tomorrow';
				   $ref = 'tomorrow';
			    }
			    
			    $ref_link= base_url().'schedule/'.$ref;
				
				$d .= '<li><a href="'.$ref_link.'">'.$dat_disp.'</a></li>';
		   }
		 	
		  
 
   
		return $d;
	   
	}
}

