<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class adminLoginmodel extends CI_Model
{
	function __construct()
	{
		parent::__construct();
	}
	
	/**
	 * Login admin user
	 * @param unknown_type $username
	 * @param unknown_type $password
	 * @return boolean
	 */
	function loginAdmin($username, $password)
	{
		$this->db->select("users.*,roles.role_permissions");
		$this->db->from("users");
		$this->db->join('roles', 'users.role_id = roles.role_id');
		$this->db->where("admin_email", $username);
		$this->db->where("admin_password", md5($password));
		$this->db->where("admin_status", "ACTIVE");
		$this->db->where("admin_id", 1);
		$this->db->limit(1);
		
		$query = $this->db->get();
		 
		if ( $query->num_rows() == 1) {
			return $query->result();
		} else {
			return false;
		}
	}
	
	public function getRole($id)
	{
		$this->db->select("*");
		$this->db->from("users");
		$this->db->where("admin_id", $id);

		$query = $this->db->get();
		$temp = $query->result();
		$roleid = $temp[0]->role_id;

		if ($query->num_rows() >= 1) {
			$this->db->select("*");
			$this->db->from("roles");
			$this->db->where("role_id", $roleid);

			$query = $this->db->get();
			
 			return $query->result();						
 			
		} else {
			return false;
		}
		
	}
	
	public function updateUserdata($arr)
	{		 		
		$temp = $this->session->userdata('admin_user_data');
		$admin_id = $temp->admin_id;
		$datafields = $arr;
		$this->db->where("admin_id", $admin_id);
		$this->db->update('users',$datafields);
		$temp->admin_displayname = $arr['admin_displayname'];
		$temp->admin_img = $arr['admin_img'];
		$temp1 = $this->session->set_userdata('admin_user_data', $temp);
		$temp = $this->session->userdata('admin_user_data');
		return true;
	}
	
	public function updatePassword($arr)
	{		
		$temp=$this->session->userdata('admin_user_data');
		$admin_id = $temp->admin_id;
		$this->db->select("*");
		$this->db->from("users");
		$this->db->where("admin_password", $arr['opass']);		
		$this->db->where("admin_id", $admin_id);
		$query = $this->db->get();
		
		if($query->num_rows() == 1){
			$dataFields = array('admin_password'=>$arr['pass']);
			$this->db->where("admin_id",$admin_id);
			$this->db->update("users",$dataFields);
			return true;
		}else{			
			return false;
		}
	}
	
	public function gallerydata(){
			
		$this->db->select('category_name,category_id,count(category_id) AS count,');
		$this->db->from('gallery_category');
		$this->db->join('gallery', 'gallery_category.category_id = gallery.gallery_category_id','left');
		$this->db->group_by('gallery_category.category_id');
		$query = $this->db->get();

		if($query->num_rows() >= 1){
			return $query->result();
		}
		else {
			return false;
		}	
	}
	
	public function programdata(){
				
		$this->db->select('category_name,program_cat_id,count(program_cat_id) AS count,');
		$this->db->from('program_category');
		$this->db->join('programs', 'program_category.program_cat_id = programs.prog_cat_id','left');
		$this->db->group_by('program_category.program_cat_id');
		$query = $this->db->get();

		if($query->num_rows() >= 1){
			return $query->result();
		}
		else {
			return false;
		}	
	}
	
	public function vegcookerydata(){
		
		$this->db->select('*');
		$this->db->from('cookery');
		$this->db->where('cookery_type','VEG');
		$query = $this->db->get();

		if($query->num_rows() >= 1){
			return count($query->result());
		}
		else {
			return false;
		}	
	}
	
	public function nonvegcookerydata(){
		
		$this->db->select('*');
		$this->db->from('cookery');
		$this->db->where('cookery_type','NON-VEG');
		$query = $this->db->get();

		if($query->num_rows() >= 1){
			return count($query->result());
		}
		else {
			return false;
		}	
	}
	
	public function othercookerydata(){
		
		$this->db->select('*');
		$this->db->from('cookery');
		$this->db->where('cookery_type','OTHERS');
		$query = $this->db->get();

		if($query->num_rows() >= 1){
			return count($query->result());
		}
		else {
			return false;
		}	
	}
	
	
	

}
